*TITLE1 "EXAMPLEK02.SAS--Region by Gender power with 5 age groups, Beta Plot for 90% power";

LIBNAME IN01 "..\DATA\";
FILENAME OUT01 ".\EXAMPLEK02.CGM";

*Extracting data with GG power >= 0.89*;

DATA ONE;
SET IN01.EXK01;
IF N = 100 AND P_GG >= 0.89;
KEEP N P_GG DELTA;
RUN;

PROC IML SYMSIZE=2000 WORKSIZE=2000;

USE ONE;
READ ALL VAR {DELTA} INTO INDELTA;

BETARG= J(2,4, 3.2) + {.30}#({ -1  0 1  0,
                               -1  0 1  0});

*Creating dataset for Beta plot*;

RESET PRINT;
DELTA = INDELTA[1,1];	*Value of delta for which power is approx. 90%*;
BETARGD=(BETARG + (J(2,2,0)||(DELTA//(-DELTA))||J(2,1,0)))`;
HOLD1= BETARGD[,1]//BETARGD[,2];
HOLD2=((DO(1,4,1))`) // ((DO(1,4,1))`) ;
HOLD3=J(4,1,1)//J(4,1,2);
HOLD=HOLD1||HOLD2||HOLD3;
HNAMES={"SOAM1" "IREGION" "GENDER"};
CREATE TWO FROM HOLD [COLNAME = HNAMES];
APPEND FROM HOLD;
CLOSE TWO;
QUIT;

GOPTIONS GSFMODE=REPLACE GACCESS=SASGASTD GSFNAME=OUT01
         CBACK=WHITE COLORS=(BLACK) DEVICE=CGMOF97P
         HTITLE=.1666 IN HTEXT=.1666 IN HBY=.1666 IN
         HPOS=80 VPOS=60 HSIZE=6.0 IN VSIZE=3.0 IN
         FTEXT=TRIPLEX FTITLE=TRIPLEX FBY=TRIPLEX;
         
AXIS1 LABEL=("SOAM1") ORDER=(2.75 TO 3.75 BY 0.25)   MAJOR=(W=3) MINOR=NONE;
AXIS2 LABEL=("Region of the Brain") MAJOR=(W=3) VALUE=("Ant" "LMid" "Post" "RMid");

SYMBOL1 I=JOIN L=1 VALUE=e H=6 FONT=SPECIAL;
SYMBOL2 I=JOIN L=2 VALUE=c H=6  FONT=SPECIAL;

PROC GPLOT DATA=TWO;
  PLOT SOAM1*IREGION=GENDER / NOLEGEND NOFRAME VAXIS=AXIS1 HAXIS=AXIS2;
RUN;
QUIT;